VERSION 5.00
Begin VB.Form Main 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Legacy Client"
   ClientHeight    =   5685
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   8775
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5685
   ScaleWidth      =   8775
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame grpResults 
      Caption         =   "Results"
      Height          =   2175
      Left            =   240
      TabIndex        =   6
      Top             =   3360
      Width           =   8295
      Begin VB.ListBox lstResults 
         Height          =   1620
         ItemData        =   "Main.frx":0000
         Left            =   240
         List            =   "Main.frx":0002
         TabIndex        =   7
         Top             =   360
         Width           =   7815
      End
   End
   Begin VB.CommandButton btnSendQuery 
      Caption         =   "Send Query"
      Enabled         =   0   'False
      Height          =   375
      Left            =   6480
      TabIndex        =   5
      Top             =   2880
      Width           =   2055
   End
   Begin VB.Frame Connection 
      Caption         =   "Connection"
      Height          =   975
      Left            =   120
      TabIndex        =   2
      Top             =   240
      Width           =   8415
      Begin VB.CommandButton btnConnect 
         Caption         =   "Connect"
         Height          =   375
         Left            =   6360
         TabIndex        =   4
         Top             =   360
         Width           =   1815
      End
      Begin VB.TextBox txtConnectionString 
         Height          =   375
         Left            =   240
         TabIndex        =   3
         Text            =   "Data Source=localhost;Provider=MSOLAP;Initial Catalog=SOS OLAP"
         Top             =   360
         Width           =   5655
      End
   End
   Begin VB.ListBox lstCubes 
      Height          =   1230
      ItemData        =   "Main.frx":0004
      Left            =   360
      List            =   "Main.frx":0006
      TabIndex        =   1
      Top             =   1560
      Width           =   2415
   End
   Begin VB.TextBox txtQuery 
      Enabled         =   0   'False
      Height          =   1215
      Left            =   3000
      MultiLine       =   -1  'True
      TabIndex        =   0
      Text            =   "Main.frx":0008
      Top             =   1560
      Width           =   5535
   End
   Begin VB.Label Label2 
      Caption         =   "MDX Query"
      Height          =   255
      Left            =   3000
      TabIndex        =   9
      Top             =   1320
      Width           =   975
   End
   Begin VB.Label Label1 
      Caption         =   "Cubes"
      Height          =   255
      Left            =   360
      TabIndex        =   8
      Top             =   1320
      Width           =   975
   End
End
Attribute VB_Name = "Main"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim gConnection As New Connection

Private Sub btnConnect_Click()
  
    
    ' open a connection to SSAS 2005
    If gConnection.State <> 0 Then
        gConnection.Close
    End If
  
    gConnection.Open txtConnectionString.Text
   
    Dim sCatalogCur As String
    Dim rs As Recordset
    
    ' Load the cubes in the catalog
    LoadCubes
    
    If lstCubes.ListCount > 0 Then
       lstCubes.ListIndex = 0
    End If
    
    btnSendQuery.Enabled = lstCubes.ListCount > 0
    txtQuery.Enabled = lstCubes.ListCount > 0
    
    ' free the Recordset
    Set rs = Nothing
End Sub

Private Sub LoadCubes()

    Dim cat As New ADOMD.Catalog
    Dim cube As CubeDef
    cat.ActiveConnection = gConnection
    
    lstCubes.Clear
     
    For Each cube In cat.CubeDefs
       lstCubes.AddItem (cube.Name)
    Next
    
End Sub
Private Sub btnSendQuery_Click()
    SendQuery
End Sub

Private Sub SendQuery()

    Dim oCellSet As Cellset
 
    ' Run a simple 1 dimensional MDX query
    Set oCellSet = New Cellset
    oCellSet.Open txtQuery.Text & " from [" & lstCubes.Text & "]", gConnection
    
    Dim oAxis As Axis
    Dim nDim As Integer
    Dim oMember As Member
    
    
    ' Display dimension members used for filtering
    lstResults.Clear
    
    ' Display Column Names
    lstResults.AddItem ("Columns")
    Set oAxis = oCellSet.Axes(0)
    Dim oPosition As Position
    For Each oPosition In oAxis.Positions
       lstResults.AddItem ("Column Position " & oPosition.Ordinal & " has " & oPosition.Members(0).UniqueName)
    Next
    
    lstResults.AddItem ("")
    lstResults.AddItem ("Cell Values")
    ' Display the cell values for the result
    Dim nCell As Integer
    For nCell = 0 To oCellSet.Axes(1).Positions.Count * oAxis.Positions.Count - 1
       lstResults.AddItem ("Cell " & nCell & " is " & oCellSet(nCell).FormattedValue)
    Next nCell
    
    Set oCellSet = Nothing
End Sub
