Imports Microsoft.Reporting.WinForms

Public Class ReportViewer
    Private _reportName As String = "Monthly Order Summary"
    Private _reportDate As DateTime = Now()
    Public Property ReportName() As String
        Get
            Return _reportName
        End Get
        Set(ByVal value As String)
            _reportName = value
        End Set
    End Property

    Public Property ReportDate() As DateTime
        Get
            Return _reportDate
        End Get
        Set(ByVal value As DateTime)
            _reportDate = value
        End Set
    End Property




    Private Sub ReportViewer_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim parameters(0) As ReportParameter

        reportViewer1.ProcessingMode = Microsoft.Reporting.WinForms.ProcessingMode.Remote
        reportViewer1.ServerReport.ReportServerUrl = New Uri(My.Settings.ReportServerUrl)
        reportViewer1.ServerReport.ReportPath = String.Format("/SOS OLAP/{0}", Me.ReportName)
        parameters(0) = New ReportParameter("Date", Me.ReportDate.ToShortDateString())
        reportViewer1.ServerReport.SetParameters(parameters)

        reportViewer1.RefreshReport()

    End Sub
End Class