Imports System.Web
Imports System.Data
Imports System.Data.OleDb
Imports System.Web.Services
Imports System.Configuration
Imports System.Web.Services.Protocols

<WebService(Namespace:="http://adventureworks.org/")> _
<WebServiceBinding(ConformsTo:=WsiProfiles.BasicProfile1_1)> _
Public Class MyReports
    Inherits System.Web.Services.WebService

    Public Sub MyReports()

    End Sub

    '/ <summary>
    '/ Inserts a new report or updates an existing report
    '/ </summary>
    '/ <param name="reports">A dataset which has the the report changes</param>
    <WebMethod()> _
    Public Sub SaveReports(ByVal reports As DataSet)
        Dim connection As New OleDbConnection()
        Dim sql As String = Nothing
        Dim reportDefinition As String
        Dim cmd As New OleDbCommand(sql, connection)

        connection.ConnectionString = String.Format(ConfigurationManager.AppSettings("connectionString"), Server.MapPath("."))
        cmd.Connection.Open()

        Try
            Dim report As DataRow
            For Each report In reports.Tables(0).Rows

                ' In Access 2002/2003 single ' needs to be converted to '' so it doesn't interpret is as the end of string
                reportDefinition = Replace(report("ReportDef").ToString(), "'", "''")

                Select Case report.RowState
                    Case DataRowState.Added
                        ' insert
                        sql = String.Format("INSERT INTO Reports ( Name, [User], ReportDef ) SELECT '{0}', '{1}', '{2}';", report("Name").ToString(), User.Identity.Name, reportDefinition)
                    Case DataRowState.Modified
                        ' update
                        sql = String.Format("UPDATE Reports SET Name = '{0}', [User] = '{1}', ReportDef = '{2}', DateModified = Now() WHERE ReportID = {3};", report("Name").ToString(), User.Identity.Name, reportDefinition, report("ReportID"))
                    Case DataRowState.Deleted
                        ' Delete
                        sql = String.Format("DELETE FROM Reports WHERE ReportID = {0};", Int32.Parse(report("ReportID", DataRowVersion.Original).ToString()))
                End Select
                ' save the changes
                cmd.CommandText = sql
                cmd.ExecuteNonQuery()
            Next report

        Catch ex As System.Exception
            connection.Close()
            Throw ex
        End Try
    End Sub 'SaveReports

    '/ <summary>
    '/ Returns the report list as a dataset.
    '/ </summary>
    <WebMethod()> _
    Public Function GetReports() As DataSet
        Dim connection As New OleDbConnection()
        Dim adapter As New OleDbDataAdapter()
        Dim reports As New DataSet()
        Dim sql As String = Nothing

        Try
            sql = String.Format("SELECT ReportID, Name, Category, ReportDef FROM Reports WHERE User='anonymous' Or User='{0}' ORDER BY Category, Name", User.Identity.Name)
            connection.ConnectionString = String.Format(ConfigurationManager.AppSettings("connectionString"), Server.MapPath("."))
            Dim cmd As New OleDbCommand(sql, connection)
            adapter.SelectCommand = cmd
            adapter.Fill(reports, "Reports")
            Return reports
        Catch ex As System.Exception
            Throw ex
        End Try
    End Function 'GetReports

End Class
